package com.ruoyi.ems.service;

import com.ruoyi.ems.domain.OpEnergyStrategy;

import java.util.List;

/**
 * 能源策略Service接口
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public interface IOpEnergyStrategyService {
    /**
     * 查询能源策略
     *
     * @param id 能源策略主键
     * @return 能源策略
     */
    OpEnergyStrategy selectStrategyById(Long id);

    /**
     * 查询能源策略列表
     *
     * @param opEnergyStrategy 能源策略
     * @return 能源策略集合
     */
    List<OpEnergyStrategy> selectStrategyList(OpEnergyStrategy opEnergyStrategy);

    /**
     * 新增能源策略
     *
     * @param opEnergyStrategy 能源策略
     * @return 结果
     */
    int insertStrategy(OpEnergyStrategy opEnergyStrategy);

    /**
     * 修改能源策略
     *
     * @param opEnergyStrategy 能源策略
     * @return 结果
     */
    int updateStrategy(OpEnergyStrategy opEnergyStrategy);

    /**
     * 批量删除能源策略
     *
     * @param ids 需要删除的能源策略主键集合
     * @return 结果
     */
    int deleteStrategyByIds(Long[] ids);

    /**
     * 删除能源策略信息
     *
     * @param id 能源策略主键
     * @return 结果
     */
    int deleteStrategyById(Long id);
}
